summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-06-11 18:00:47 +0000
committerMike Frysinger <vapier@gentoo.org>2006-06-11 18:00:47 +0000
commit923e31085d5091340a32e27e74886a750f42b237 (patch)
tree727f12c1480bfdc36582dcfd3f8fec6b76dbe071 /eclass/toolchain-binutils.eclass
parentBump openmotif-2.1 fixing bug 114234. (diff)
downloadgentoo-2-923e31085d5091340a32e27e74886a750f42b237.tar.gz
gentoo-2-923e31085d5091340a32e27e74886a750f42b237.tar.bz2
gentoo-2-923e31085d5091340a32e27e74886a750f42b237.zip
apply LANG patch to more configure files than just the toplevel one
Diffstat (limited to 'eclass/toolchain-binutils.eclass')
-rw-r--r--eclass/toolchain-binutils.eclass13
1 files changed, 10 insertions, 3 deletions
diff --git a/eclass/toolchain-binutils.eclass b/eclass/toolchain-binutils.eclass
index c79abf7a4683..fa72ee74bbf8 100644
--- a/eclass/toolchain-binutils.eclass
+++ b/eclass/toolchain-binutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.60 2006/04/22 07:57:05 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.61 2006/06/11 18:00:47 vapier Exp $
# We install binutils into CTARGET-VERSION specific directories. This lets
# us easily merge multiple versions for multiple targets (if we wish) and
@@ -118,8 +118,15 @@ tc-binutils_apply_patches() {
fi
# fix locale issues if possible #122216
- [[ -e ${FILESDIR}/binutils-configure-LANG.patch ]] \
- && epatch "${FILESDIR}"/binutils-configure-LANG.patch
+ if [[ -e ${FILESDIR}/binutils-configure-LANG.patch ]] ; then
+ einfo "Fixing misc issues in configure files"
+ for f in $(grep -l 'autoconf version 2.13' $(find "${S}" -name configure)) ; do
+ ebegin " Updating ${f/${S}\/}"
+ patch "${f}" "${FILESDIR}"/binutils-configure-LANG.patch >& "${T}"/configure-patch.log \
+ || eerror "Please file a bug about this"
+ eend $?
+ done
+ fi
# Fix po Makefile generators
sed -i \